﻿using System;
using System.Reflection;
using SlatedGameToolkit.Tools.System;
using SlatedGameToolkit.Tools.System.Interaction;

namespace SlatedGameToolkit.Tools
{
    class Program
    {
        static void Main(string[] args)
        {
            string input = null;
            CommandMap commands = new CommandMap();
            CommandProcessor processor = new CommandProcessor("The command \"{input}\" was not understood. Please type \"help\" for more information.", commands);
            AssemblyName name = Assembly.GetExecutingAssembly().GetName();
            ConsoleInteracter consoleInteracter = new ConsoleInteracter("Tools");
            consoleInteracter.Tell(String.Format("{0} Version: {1}", name.Name, name.Version));
            consoleInteracter.Tell("Welcome to SlatedGameToolkit.Tools! These tools are meant for the developers using the SlatedGameToolkit. Type \"help\" for a list of things this tool can currently do!");
            while (!(input = consoleInteracter.Listen()).ToLower().Equals("exit")) {
                
            }
            consoleInteracter.Tell("Goodbye!");
        }
    }
}
